curl -X PUT "https://api.fitsociety.io/public/v1/workout/exercises/exercise/{id}" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: <stable_request_key>" \
-H "Content-Type: application/json" \
-d '{}'const options = {
method: 'PUT',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: [
{lang: 'en', value: 'Full Body Strength'},
{lang: 'nl', value: 'Full Body Kracht'}
],
description: [
{lang: 'en', value: 'Full Body Strength'},
{lang: 'nl', value: 'Full Body Kracht'}
],
primaryCategory: 'Strength',
primaryMuscle: 'Chest'
})
};
fetch('https://api.fitsociety.io/public/v1/workout/exercises/exercise/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/exercises/exercise/{id}"
payload = {
"name": [
{
"lang": "en",
"value": "Full Body Strength"
},
{
"lang": "nl",
"value": "Full Body Kracht"
}
],
"description": [
{
"lang": "en",
"value": "Full Body Strength"
},
{
"lang": "nl",
"value": "Full Body Kracht"
}
],
"primaryCategory": "Strength",
"primaryMuscle": "Chest"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"data": {},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
},
"idempotency": {
"replayed": false
}
}
}Update a workout exercise
Updates an exercise in the authenticated company, subject to exercise ownership and company permissions. Accepts application/json or multipart/form-data. Send structured multipart arrays and objects as JSON strings; use imageFiles and videoFiles for uploads. Binary aliases images and videos are also accepted. Exercise and library videos share the company’s storage allowance, 25 decimal GB by default. Direct multipart videos are limited to 100 MiB per file. For larger uploads, use the video-uploads presign, complete, and status endpoints, then submit the ready video URL.
Requires the workout_library:write scope and the corresponding Workout features and permissions.
curl -X PUT "https://api.fitsociety.io/public/v1/workout/exercises/exercise/{id}" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: <stable_request_key>" \
-H "Content-Type: application/json" \
-d '{}'const options = {
method: 'PUT',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: [
{lang: 'en', value: 'Full Body Strength'},
{lang: 'nl', value: 'Full Body Kracht'}
],
description: [
{lang: 'en', value: 'Full Body Strength'},
{lang: 'nl', value: 'Full Body Kracht'}
],
primaryCategory: 'Strength',
primaryMuscle: 'Chest'
})
};
fetch('https://api.fitsociety.io/public/v1/workout/exercises/exercise/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/exercises/exercise/{id}"
payload = {
"name": [
{
"lang": "en",
"value": "Full Body Strength"
},
{
"lang": "nl",
"value": "Full Body Kracht"
}
],
"description": [
{
"lang": "en",
"value": "Full Body Strength"
},
{
"lang": "nl",
"value": "Full Body Kracht"
}
],
"primaryCategory": "Strength",
"primaryMuscle": "Chest"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"data": {},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
},
"idempotency": {
"replayed": false
}
}
}Authorizations
Headers
Required for Public API write requests. Reusing the same key with the same method, path, and body replays the stored successful response; reusing it with a different request returns 409 idempotency.conflict.
1 - 200"booking-create-20260714-001"
Body
Agility & Speed, Strength, Hypertrophy, Strength - Dynamic, Strength - Explosive, Strength - Static, Cardio, Cardio - Duration, Cardio - Interval, HIIT, Crossfit, Mobility, Stretching, Core, Coordination & Balance, Movement Prep, Functional Training, Recovery, Sports, Martial Arts, Yoga, Other, GROUP_WORKOUT_TEMPLATE, Plyometric, Cycling, Cardio - interval, Mobilisation, Stabilisation, Daily Living, Target zone, Respiration, Breathing, Massage, Outdoor sports, Indoor sports, Dance, Group Lessons, Martial arts, Material Arts, Fight skills, Mind and body, , default "Strength"
Agility & Speed, Strength, Hypertrophy, Strength - Dynamic, Strength - Explosive, Strength - Static, Cardio, Cardio - Duration, Cardio - Interval, HIIT, Crossfit, Mobility, Stretching, Core, Coordination & Balance, Movement Prep, Functional Training, Recovery, Sports, Martial Arts, Yoga, Other, GROUP_WORKOUT_TEMPLATE, Plyometric, Cycling, Cardio - interval, Mobilisation, Stabilisation, Daily Living, Target zone, Respiration, Breathing, Massage, Outdoor sports, Indoor sports, Dance, Group Lessons, Martial arts, Material Arts, Fight skills, Mind and body, , default ["General Fitness"]
Dumbbells, AdjustableDumbbells, Kettlebell, AdjustableKettlebell, CompetitionKettlebell, Medicineball, SlamBall, WallBall, Weightplate, BumperPlates, FractionalPlates, LoadableDumbbellHandle, Sandbag, StrongmanSandbag, Bulgarianbag, Aquabag, Aquaball, Hydrovest, MagneticBell, Macebell, SteelClub, IndianClub, Barbell, OlympicBarbell, TechniqueBar, EZBar, TrapBar, SafetySquatBar, SwissBar, CamberedBar, AxleBar, Landmine, Bench, FlatBench, AdjustableBench, InclineBench, DeclineBench, SealRowBench, HipThrustBench, BenchPressRack, SquatRack, SquatStand, PowerRack, WallMountedRack, HalfRack, SmithMachine, Monolift, JammerArms, BarbellJack, WeightTree, PlateStorage, DeadliftPlatform, Rig, StrengthMachinesPlateloaded, StrengthMachinesWeightstack, StrengthMachinesPneumatic, MultiGym, LegPressMachine, VerticalLegPressMachine, LeverageSquatMachine, LinearHackSquatMachine, BeltSquatMachine, PendulumSquatMachine, VSquatMachine, HackSquatMachine, LegExtensionMachine, LegCurlMachine, SeatedLegCurlMachine, LyingLegCurlMachine, StandingLegCurlMachine, StandingCalfRaiseMachine, SeatedCalfRaiseMachine, CalfPressMachine, HipThrustMachine, GluteDriveMachine, GluteKickbackMachine, HipExtensionMachine, HipAbductionMachine, HipAdductionMachine, ChestPressMachine, VerticalChestPressMachine, InclineChestPressMachine, DeclineChestPressMachine, IsoLateralChestPressMachine, IsoLateralInclinePressMachine, ShoulderPressMachine, IsoLateralShoulderPressMachine, MultiPressMachine, LateralRaiseMachine, RearDeltMachine, PecDeckMachine, PulloverMachine, LatPulldownMachine, IsoLateralLatPulldownMachine, AssistedPullupMachine, AssistedDipMachine, SeatedDipMachine, SeatedRowMachine, LowRowMachine, HighRowMachine, IsoLateralRowMachine, ChestSupportedRowMachine, TBarRowMachine, BicepsCurlMachine, PreacherCurlMachine, TricepsExtensionMachine, AbCrunchMachine, AbCoasterMachine, RotaryTorsoMachine, BackExtensionMachine, SeatedBackExtensionMachine, HyperextensionBench, ReverseHyper, GHD, Kinesis, Pulley, CableMachine, CableStation, CableColumn, CableCrossover, DualAdjustablePulley, SingleCableTower, FunctionalTrainer, TotalGymGTS, Gymstick, ViPR, RipTrainer, Battlerope, ProwlerSled, FarmersHandles, Yoke, Tire, Sledgehammer, TorqueTank, SledTrack, WallBallTarget, AgilityPoles, MiniHurdles, SprintParachute, PullUpBar, Parallelbars, DipBars, Equalizer, Suspensiontrainer, SuspensionSlingTrainer, GymnasticRings, MonkeyBars, PegBoard, RopeClimb, Wall, StallBars, DoorPullUpBar, PushUpHandles, AbStraps, Boxstep, SoftPlyoBox, Hurdle, Speedladder, Parallettes, NordicBench, SissySquatBench, Cardio, Treadmill, CurvedTreadmill, AirRunner, AssaultRunner, StationaryBike, UprightBike, RecumbentBike, BikeErg, SpinBike, AirBike, Rower, WaterRower, FanRower, ArmErgometer, SkiErg, Elliptical, ArcTrainer, NuStep, StairClimber, StepMill, JacobsLadder, VersaClimber, Bosu, Balanceball, Exerciseball, PilatesTennisball, PilatesRing, YogaMat, YogaBlock, YogaWheel, StretchStrap, MobilityStick, MassageBall, PeanutMassageBall, Airpad, Balanceboard, BalancePad, WobbleBoard, Glidedisc, Foamroller, Elasticbands, TherapyBand, Resistanceband, MiniBand, PullUpAssistBand, Powertube, AnkleWeights, SlantBoard, Vibrationtraining, CableRope, StraightBarAttachment, CurlBarAttachment, LatBarAttachment, TricepsBarAttachment, RowHandle, DHandle, DoubleDHandle, AnkleCuff, CableCuff, LandmineHandle, MagGripAttachment, DipBelt, AbWheel, WristRoller, FatGrip, Chain, DoorAnchor, JumpRope, SpeedRope, WeightedJumpRope, SledHarness, LiftingStraps, LiftingHooks, WristWraps, WeightliftingBelt, Clubbel, Stick, Bodybow, BuddySystem, Multinet, Flowin, Aerialhoop, Dancingpole, Trapeze, HulaHoop, Trampoline, XCO, PilatesReformer, PilatesChair, PilatesCadillac, PilatesBarrel, PilatesSpringboard, BalanceBeam, TreatmentTable, RehabTable, SlideBoard ["Barbell", "Bench"]